require 'spec_helper'

describe 'device' do
  it 'sets values' do
    device = Deviceify::Map.device("iPad3,5")
    device.name.should_not be_nil
    device.generation.should_not be_nil
    device.fcc_ids.should_not be_nil
    device.sizes.should_not be_nil
    device.models.should_not be_nil

    device.name.should == "iPad 4"
    device.generation.should == "iPad 4"

    device.models.count.should == 1
    device.fcc_ids.count.should == 1
    device.sizes.count.should == 4

    device.models.first.should == "A1459"
    device.fcc_ids.first.should == "BCGA1459"
    device.sizes[0].should == "16GB"
    device.sizes[1].should == "32GB"
    device.sizes[2].should == "64GB"
    device.sizes[3].should == "128GB"
  end

  it 'has all devices' do
    devices = Deviceify::Map.devices
    devices.count.should >= 38
    devices.first[1].is_a?(Deviceify::Device).should be_true
  end
end
