require 'spec_helper'

describe 'map' do
  it 'return passed string if no match' do
    name = Deviceify::Map.name("iPhone1999,1")
    name.should == "iPhone1999,1"
  end

  Deviceify::DEVICE_MAP.each do |key, val|
    describe "has values for #{key}" do
      %w[name fcc_ids sizes models generation].each do |attr|
        it "value for #{attr}" do
          value = val[attr.to_sym]
          value.should_not be_nil
          if value.is_a?(String)
            value.empty?.should be_false
          end
        end
      end
      %w[models sizes fcc_ids].each do |attr|
        it "has at least one #{attr}" do
          value = val[attr.to_sym]
          value.is_a?(Array).should be_true
          value.count.should >= 1
        end
      end
    end
  end
end
